%{!?python_sitearch: %global python_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%global upstream_name dockerpty

Name:           python-%{upstream_name}
Version:        0.3.4
Release:        1%{?dist}
Summary:        Python library to use the pseudo-tty of a docker container

Group:          Development/Libraries
License:        ASL 2.0
URL:            https://github.com/d11wtq/%{upstream_name}
Source0:        %{url}/archive/v%{version}.tar.gz

Requires: python-docker-py python-six
BuildRequires:  python-devel python-setuptools python-six
BuildArch:      noarch

%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
a docker container, using the Python client

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# we are missing the 'exptects' library to run the tests
%check
#py.test tests/unit

%files
%doc README.md LICENSE.txt MANIFEST.in
%dir %{python2_sitelib}/dockerpty
%{python2_sitelib}/dockerpty/*
%dir %{python2_sitelib}/dockerpty-*.egg-info
%{python2_sitelib}/dockerpty-*.egg-info/*

%changelog
* Thu Feb 18 2016 Ryan Hallisey <rhallise@redhat.com> - 0.3.4-1
- Build 0.3.4 for OpenStack
